### Method

# Vips Image hist_match

#### Declaration [src]

    int
    vips_hist_match (
      VipsImage* in,
      VipsImage* ref,
      VipsImage** out,
      ...
    )

#### Description [src]

Adjust `in` to match `ref`. If `in` and `ref` are normalised cumulative histograms, `out` will be a LUT that adjusts the PDF of the image from which `in` was made to match the PDF of `ref`‘s image.

See also

`vips_maplut()`, `vips_hist_find()`, `vips_hist_norm()`, `vips_hist_cum()`.

This method is not directly available to language bindings.

#### Parameters

`ref`

  Type: `VipsImage`

  Reference histogram.

  The data is owned by the caller of the method.

`out`

  Type: `VipsImage`

  Output histogram.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.